[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit 'ExtDlgs' (#lcl)

# TOpenPictureDialog.ClearPreview

ClearPreview - clears the preview area.

## Declaration

Source position: extdlgs.pas line 86

`protected procedure TOpenPictureDialog.ClearPreview; virtual;`

## Description

ClearPreview is a procedure used to clear the image content and the caption displayed in the dialog. ClearPreview is called from the DoShow, DoClose, and UpdatePreview methods.

## See also

TOpenPictureDialog.ImageCtrl |  | TImage used to preview the content in an image file.
TOpenPictureDialog.DoShow |  | Performs actions needed to display the preview dialog in its initial state.
TOpenPictureDialog.DoClose |  | Performs actions needed when the dialog is closed.
TOpenPictureDialog.UpdatePreview |  | UpdatePreview - updates the preview image, implementing any pending changes.